# Scrip Master Groups

## GET /api/mkt-data/scrips/symbol-store

Scrip Master Groups

This service can be used to fetch the **Scrip Groups**. It requires a **version** number as input.

**Version management:** Version number is maintained to avoid fetching Scrip Master data multiple times a day, as the Scrip Master data gets updated only once a day during the **Beginning of Day (BOD)** process.

**Usage:**

- For the initial or first API call, the version can be passed as `0`.
- If the version number passed in the query parameter does not match the server data version, the `isUpdated` flag will be `true` and the Scrip Groups data will be returned in the response.
- If the version matches the server data version, the `isUpdated` flag will be `false` and the Scrip Groups data array will be empty.
- By using the names returned in the Scrip Groups response, users can call the **Scrip Master Data API** to retrieve the corresponding list of scrips.
- For effective usage of Scrip Master, users can persist the version number, Scrip Groups, and Scrip Master data locally.

**`idFormat` usage:**

- Each Scrip Group has a different symbol ID format. This format is available in the `idFormat` field.
  - **Example:** For Equity, the ID format is `instrument_symbol_series_exchange`.
- Users can decompose the symbol ID format by splitting it using the `_` (underscore) delimiter to identify individual attributes of a symbol.
  - **Example:** If a user wants to know the instrument and exchange of a symbol from the Securities group, the **1st** and **4th** components can be extracted from the symbol ID.

**Note:** During the **Beginning of Day (BOD)** process, the symbol store is updated and the version is incremented in the API server.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| version | query | integer | Yes | Enter the version |

### Responses

#### 200 — OK

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| s | string ("ok" | "no-data" | "error") | No |  |
| d | object | No |  |
| d.version | integer | No |  |
| d.updated | boolean | No |  |
| d.symbolStore | object[] | No |  |
| d.symbolStore[].name | string | No |  |
| d.symbolStore[].sortOrder | integer | No |  |
| d.symbolStore[].idFormat | string | No |  |
| d.symbolStore[].data | string | No |  |
| d.symbolStore[].buildVersion | string[] | No |  |
| d.symbolStore[].append | object | No |  |
| d.symbolStore[].append.data | string | No |  |
| d.symbolStore[].append.buildVersion | string[] | No |  |